<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Hacknet](./bitburner.hacknet.md) &gt; [numHashes](./bitburner.hacknet.numhashes.md)

## Hacknet.numHashes() method

Get the total number of hashes stored.

**Signature:**

```typescript
numHashes(): number;
```
**Returns:**

number

Number of hashes you have.

## Remarks

RAM cost: 0 GB

This function is only applicable for Hacknet Servers (the upgraded version of a Hacknet Node).

Returns the number of hashes you have.

